summaryrefslogtreecommitdiff
path: root/tests/excess-slash
diff options
context:
space:
mode:
Diffstat (limited to 'tests/excess-slash')
-rwxr-xr-xtests/excess-slash18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/excess-slash b/tests/excess-slash
new file mode 100755
index 0000000..22c2060
--- /dev/null
+++ b/tests/excess-slash
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Ensure that no excess slash appears in diff -r output.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+mkdir -p a/f b/f/g || framework_failure_
+echo Only in b/f: g > expected-out || framework_failure_
+
+fail=0
+
+diff -r a b/ > out 2> err && fail=1
+
+# expect no stderr
+compare /dev/null err || fail=1
+
+compare expected-out out || fail=1
+
+Exit $fail